Bug 799957 - Missing xml output for "volume quota"
Missing xml output for "volume quota"
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaushal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-05 08:38 EST by Kaushal
Modified: 2014-08-24 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-03-05 08:38:41 EST

    
Comment 1 Anand Avati 2012-03-13 07:00:13 EDT
CHANGE: http://review.gluster.com/2868 (cli: More xml output changes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Kaushal 2012-05-31 06:08:02 EDT
Appending '--xml' to a quota command will produce xml output. Tested on v3.3.0qa44.

Eg:

-!- ~ » gluster volume quota test enable --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>0</opRet><opErrno>9</opErrno><opErrstr>Enabling quota has been successful</opErrstr><cliOp>volQuota</cliOp><output>Enabling quota has been successful</output></cliOutput>

-!- ~ » gluster volume quota test limit-usage /test 100MB
limit set on /test

-!- ~ » gluster volume quota test limit-usage /test2 10MB --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>0</opRet><opErrno>2</opErrno><opErrstr>limit set on /test2</opErrstr><cliOp>volQuota</cliOp><output>limit set on /test2</output></cliOutput>

-!- ~ » gluster volume quota test list --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>0</opRet><opErrno>0</opErrno><opErrstr></opErrstr><volQuota><quota><path>/test</path><limit>100MB</limit><size>0</size></quota><quota><path>/test2</path><limit>10MBB</limit><size>0</size></quota></volQuota></cliOutput>

-!- ~ »

Note You need to log in before you can comment on or make changes to this bug.